Name:           perl-Email-Valid
Version:        0.184
Release:        5%{?dist}
Summary:        Check validity of internet email address
Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Email-Valid
Source0:        http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Email-Valid-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Mail::Address), perl(Test::Pod), perl(Test::Pod::Coverage)
BuildRequires:  bind-utils
BuildRequires:  perl(Net::Domain::TLD)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
This module determines whether an email address is well-formed, and optionally,
whether a mail host exists for the domain or whether the top level domain of 
the email address is valid.

%prep
%setup -q -n Email-Valid-%{version}

%build
sed -i '/LICENSE/ d' Makefile.PL
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/Email/
%{_mandir}/man3/*.3*


%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.184-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.184-4
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.184-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.184-2
- 661697 rebuild for fixing problems with vendorach/lib

* Tue Jun 29 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.184-1
- update to 0.184

* Sat May 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.180-5
- Mass rebuild with perl-5.12.0

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.180-4
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.180-3
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.180-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar 13 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 0.180-1
- update to 0.180

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.179-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.179-4
- Rebuild for perl 5.10 (again)

* Sun Jan 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.179-3
- rebuild for new perl

* Sun Aug 26 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.179-2
- fix license, BR: Net::Domain::TLD

* Wed Jan 17 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.179-1
- bump to 0.179

* Fri Sep 15 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.176-3
- remove tab (replace with space)
- remove unnecessary Requires on Mail::Address

* Sun Sep 10 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.176-2
- add BR: Test::Pod, Test::Pod::Coverage, bind-utils to help tests along

* Thu Aug  3 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.176-1
- initial package for Fedora Extras
